Memos
Identity Provider Service

Get Identity Provider

GetIdentityProvider gets an identity provider.

GET
/api/v1/identity-providers/{identity-provider}

Path Parameters

identity-provider*string

The identity-provider id.

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/identity-providers/string"
{  "name": "string",  "type": "TYPE_UNSPECIFIED",  "title": "string",  "identifierFilter": "string",  "config": {    "oauth2Config": {      "clientId": "string",      "clientSecret": "string",      "authUrl": "string",      "tokenUrl": "string",      "userInfoUrl": "string",      "scopes": [        "string"      ],      "fieldMapping": {        "identifier": "string",        "displayName": "string",        "email": "string",        "avatarUrl": "string"      }    }  }}